program NkCal;

uses NLib, NSys, NForm, NConf, Default, MainForm;

{$R *.RES}

var
  keymap: TConf;
begin
  ProfDir := GetEnv('NKTOOLSPROF');
  if ProfDir = '' then
    ProfDir := DirName(ProgPath)
  else
    ProfDir := JoinPath([ProfDir, 'nkcal']);

  Config := TConf.Create;
  Config.LoadFromFile(JoinPath([ProfDir, 'position']));
  Config.Read(Default.Config);
  Config.LoadFromFile(JoinPath([ProfDir, 'config']));

  keymap := TConf.Create;
  keymap.Read(Default.KeyMap);
  keymap.LoadFromFile(JoinPath([ProfDir, 'keymap']));

  App.Name := 'NkCal';
  App.MainForm := TNkCalMainForm.Create;
  with App.MainForm as TNkCalMainForm do
  begin
    Command.BindKeys(keymap);
    keymap.Free;
    App.Accel := Command.AccelHandle;
  end;
  ExitCode := App.Run;

  App.MainForm.Free;
  Config.Free;
end.
